Bug 72218 - g++ segfaults when compiling gtkmm 1.2.10
Summary: g++ segfaults when compiling gtkmm 1.2.10
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-22 01:14 UTC by Craig Kelley
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-23 02:23:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Craig Kelley 2002-08-22 01:14:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
 [snippage]

c++ -DHAVE_CONFIG_H -I../.. -DGTKMM_IMPLEMENTATION -DG_LOG_DOMAIN=\"Gtk--\" -I.
.. -I.. -I../../gdk-- -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2
-I/usr/lib/glib/include -I/usr/X11R6/include -I/usr/local/lib/sigc++-1.0/include
-I/usr/local/include/sigc++-1.0 -g -O2 -Wall -Wno-unused -c ctree.cc  -fPIC
-DPIC -o ctre.lo
In file included from ../../gdk--/gdk--.h:28,
                 from ../gtk--/base.h:33,
                 from ../gtk--/object.h:30,
                 from ../gtk--/widget.h:32,
                 from ../gtk--/container.h:27,
                 from ../gtk--/clist.h:46,
                 from ../gtk--/ctree.h:39,
                 from ctree.cc:3:
../../gdk--/gdk--/types.h:356: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[4]: *** [ctree.lo] Error 1
make[4]: Leaving directory `/usr/local/work/XTunes/gtkmm/gtkmm-1.2.10/src/gtk--
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/local/work/XTunes/gtkmm/gtkmm-1.2.10/src/gtk--
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/local/work/XTunes/gtkmm/gtkmm-1.2.10/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/work/XTunes/gtkmm/gtkmm-1.2.10'
make: *** [all-recursive-am] Error 2
[ink@159-53 gtkmm-1.2.10]# 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download and install sigc++ and gtkmm
2. Run ./configure on gtkmm (gtk-- 1.2.10)
3. Type 'make'
	

Actual Results:  G++ segfaulted

Expected Results:  Object file

Additional info:

Comment 1 Craig Kelley 2003-08-23 02:23:42 UTC
gcc updates have fixed this bug


Note You need to log in before you can comment on or make changes to this bug.